> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leamout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create trusted SIP source network

> Requires trunks:write on the organization credential.



## OpenAPI

````yaml /openapi.json post /v1/trunks/{trunk_id}/source-ips
openapi: 3.1.0
info:
  title: Leamout API
  version: 1.0.0
  description: >-
    Current public HTTP routes for the Leamout autonomous Voice Agent control
    plane. Configure your own SIP trunks and AI integrations.
servers:
  - url: https://api.leamout.com
    description: Leamout API
security: []
tags:
  - name: Voice Agents
  - name: AI Integrations
  - name: Agent Tools
  - name: Calls
  - name: SIP Trunks
  - name: Phone Numbers
  - name: Recordings
  - name: WebRTC
  - name: Webhooks
  - name: Commercial
  - name: Storage
  - name: Network policies
  - name: Retention policies
  - name: Audit events
paths:
  /v1/trunks/{trunk_id}/source-ips:
    post:
      tags:
        - SIP Trunks
      summary: Create trusted SIP source network
      description: Requires trunks:write on the organization credential.
      operationId: post_v1_trunks_trunk_id_source_ips
      parameters:
        - name: trunk_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TrunkSourceIP'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope'
        default:
          description: Error response envelope
      security:
        - organizationToken: []
components:
  schemas:
    TrunkSourceIP:
      type: object
      properties:
        cidr:
          type: string
      required:
        - cidr
      additionalProperties: false
    SuccessEnvelope:
      type: object
      properties:
        success:
          type: boolean
          const: true
        data: {}
      required:
        - success
        - data
  securitySchemes:
    organizationToken:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: Scoped organization API token (lm_org_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.